DealCloud API Release Notes

2602 - February Release

Site-Specific Publication API Endpoints

⚠️

Integration updates required to Publication APIs

The Publication API endpoints are now site-specific, replacing the previous environment/region-based endpoint structure. The new endpoints are also available on the standard site Swagger page. Integrations & requests should be updated to the site-specific endpoints. Legacy environment-based endpoints will continue to function temporarily, but clients should migrate to the new site-specific domains as soon as possible.

Template Report APIs

Three new endpoints have been added to the DealCloud REST API which allow administrators to programmatically generate template reports, allowing for more robust workflow automation. These endpoints allow you to identify existing template reports, initiate the generation of a report using a template, check the status of generation, and download the completed report

2512 - December Release

Case Sensitive Tracking for API Updates

The REST API now tracks case changes to text fields. Previously, updating a field from "Example Company" to "EXAMPLE COMPANY" would not register as a change, causing issues for field updates that rely on precise casing such as brand names, codes, identifiers, and proper nouns.

With this update, case changes sent by the API are tracked and reflected in the product, matching the experience of entry form updates.

Warning When Disabling API key

If a user attempts to toggle off the Enable API Key option in their User Profile while the API key is already enabled, a new warning message now appears to inform them that doing so will break all active API connections using those credentials. It also clarifies that the same API key cannot be re-enabled, so any active integrations would need to be manually updated with a new key. This confirmation step is intended to prevent accidental downtime by ensuring that disabling an API key is an intentional decision.

2511 - November Release

IP Restrictions Support for Publication APIs

The IP Restrictions feature has been expanded to include the Publications API. When IP restrictions are enabled, only requests from approved IP addresses are permitted to access the Publications API endpoints. This change is consistent with the existing behavior for the standard REST API.

IP Validation for Site Backup File Retrieval

When an administrator initiates a site backup download request, their IP address is now included in the Azure SAS authentication token. This change strengthens data security by binding sensitive file access to the authorized user's current session and network context, minimizing the risk of unauthorized file downloads.

2510 - October Release

Add Existing DealCloud Users to Sites via API

For clients with multiple DealCloud sites, there is a standard process for inviting users that already exist on one site into another site. This process involves sending an email invitation to the user which they must accept in order to join the site. However, for clients who leverage integrations to sync their users from a site such as an HR platform, we are introducing a new option to add existing users into a site via a new API endpoint without requiring an invitation and acceptance.

The new API endpoint is /api/rest/v1/management/user/addexistinguser

By default, only existing users with a domain that matches the dedicated domain defined in your Global Administration site are eligible to be added through this API endpoint. If you need to add additional dedicated domains, contact Intapp Support.

UserGroupEntryID in Publications Stream

In the Publications API, the entry ID of user group records (UserGroupEntryID) from the core data objects has been added to the UserGroup stream.

2502 - February Release

Proxy User Metadata in Publications API

The Publications API now includes user proxy data in events, providing improved visibility around user actions in cases where changes were made by a proxy user. When a proxy is used, the response now includes lines for proxyUserId and proxyUserEmail. The principal user still appears in the modifiedById and modifiedByUserEmail metadata.

2412 - December Release

Backend Security Upgrade - OAuth Token Update

As part of our ongoing commitment to enhancing system security and integrity, we're rolling out a major backend security upgrade across our environments. While most clients will not experience any changes, some may notice interruptions in their integrations, specifically related to the OAuth token generation and authentication process.

While we're aiming to keep interruptions minimal and ensure backward compatability, please monitor your integrations for any issues. Please review and ensure you're adhering to the guidelines in our OAuth Token documentation. If you encounter any issues, please reach out to the DealCloud Support Team for assistance.

2411 - November Release

Publications API

The Publications page on DealCloud now has an "Open Swagger" button that directly opens the Publications Swagger page for Publication API call testing.

2410 - October Release

Data APIs - Time Zone Support

When retrieving data through an API, users can include the new dateTimeBehavior parameter to return date and time data in their local time zone rather than UTC. The parameter can be used when writing or updating data as well, automatically converting date and time fields as appropriate. The dateTimeBehavior parameter has two possible values:

  • 0: Uses UTC. Does not need to be specified. Default behavior
  • 1: Uses the API user's local time zone, or the client site time zone for date-only fields.

User Activity API Now Tracks Principal User

The User Activity API now includes a new principalUserName parameter, which shows the principal user in cases of user proxying. This change provides more complete context when tracking user proxying.

2409 - September Release

The Publication API now returns the EntryName of records in addition to their EntryId. The EntryName is only included for ROWS format custom Publication topics, not for default topics. This change makes it easier to tell at a glance which entry was affected.

2407 - July Release

Default Topics Appear on the Publications Page UI The three default publication topics - default-data, default-users, and default-schema are now shown on the Publications page, offering administrators a clearer view into the events streaming from DealCloud.

2404 - April Release

Field Filtering for Publication Events

When editing a Publications topics, administrators can now choose which fields they receive Publication events for. In the Field Settings (optional) column, clicking Edit allows administrators to select the fields for which the API should stream updates. After configuring field filters, the number of fields selected is shown in the Selected column.
See more

2403 - March Release

Relationship Intelligence APIs

  • New API endpoints are available that enable you to deliver email and meeting metadata to DealCloud for processing and analysis by the Relationship Intelligence service (released in 2401).
  • Documentation now available here

Core

  • The User object model now includes a reference to the UserEntryID, which may not always be the same as the EntryID for the user entry.
  • The /allHistory endpoint now tracks reference change events such as those caused by merged entries. For example, if two records are merged and the resulting record has an updated value that is referenced by other records, the records that reference that merged entry will be shown as modified by the /allHistory endpoint.

2402 - February Release

API Change History Settings

  1. API administrators can now view additional field types on the Change History Settings page (Site Settings → Firm Settings → API Audit History Settings → Change History Settings), allowing them to keep track of audit log enablement and disablement for API updates more accurately.

  2. For integrations sending a large volume of updates or repeat values to fields, admins may notice those fields are automatically excluded from API history tracking. For those fields, the Modified By column will show Integration Check Service. We encourage admins to resolve the integration flow before re-enabling them for API history tracking.

2401 - January Release

Relationship Intelligence APIs

  1. New API endpoints are available that enable you to deliver email and meeting metadata to DealCloud for processing and analysis by the Relationship Intelligence service. For organizations that do not have a supported Microsoft Exchange connection or prefer to communicate through APIs, use this capability to deliver the metadata that is needed for identifying the connections between your organization and external contacts and analyzing and scoring those relationships.

Publications API

  1. Schema Versioning: A new schemaVersion property has been added to data and schema event responses. This property denotes the current site schema version.

  2. Calculated Events: A new isCalculated boolean attribute has been added to the payload of data events. If the event reflects a calculation update, the value of this attribute is set to true.

2312 - December Release

  1. Filter by exportDataType for User Activity API A new exportDataType body parameter has been added to the POST /api/rest/v1/management/user/activity API endpoint. This parameter allows the API to filter for the different types of exportData, ensuring more accurate user activity tracking and reporting

2310 - October Release

Available as of October 21, 2023

  1. Set Users Created by API to Active or Inactive
    Users created via API can now be set to either active or inactive rather than always being active by default. A new isActive property has been added to the user creation endpoint. When this property is set to false, the user created by the API is set to Inactive. If the property is set to true or not specified, the user created by the API is set to Active.

2309 - September Release

  1. Backlink DMS Documents into DealCloud via API
    • The documentStorageID property can now be used to link documents from a Document Management System (DMS) such as Box or SharePoint to the Documents object in DealCloud. Updating the documentStorageID property with a document's DMS ID causes the entry title in DealCloud to link to the DMS document location.
    • See guide here

2308 - Summer Release

Schema API

  1. Filter for Fields that are Editable & on Entry Forms
    Filter & identify fields that are present on entry forms and that are editable on the GET /[entryTypeId]/fields endpoint using the following two query parameters
    • editable - When set to true, only editable fields will be returned
    • entryForm - When set to true, only fields present on the entry form will return

User Management API

  1. Add/Remove Users from Groups
    Two new endpoints allow administrators to quickly add or remove one or more users from one or more user groups. These endpoints append user group assignments (and not replace), making it easier to iteratively manage entitlements and roles.

    • To add users to user groups, use the PUT /api/rest/v1/management/user/group endpoint
    • To remove users from groups, use the DELETE /api/rest/v1/management/user/group endpoint
  2. Retrieve Users by User Group ID
    A new optional query parameter called userGroupID has been added to the GET /user endpoint, which allows the API to retrieve a list of users using a user group ID. This enhancement provides a new way to retrieve lists of users so administrators can manage their roles, permissions, and user groups effectively.

  3. User Invitation API
    A new API endpoint has been added to User Management - POST /user/invite - allowing users to be invited to a site through an API. The invitation can be set to either Permanent ("type": 0) or Temporary ("type": 1). If a temporary invitation is sent, a duration must also be set in days (e.g. "duration": 10).

  4. Security Config Enhancements
    The User Management APIs can now be used to configure two-factor authentication and IP restrictions at the user level. This update allows administrators to automate the configuration of 2FA and IP restrictions via external systems and into DealCloud.

    • TwoFactorEnabled - When set to True, 2FA is enabled for the user. This cannot be disabled via the API.
    • IpRestrictionsEnabled - When set to True, the user's access is restricted to only whitelisted IP addresses. This cannot be disabled via the API.

2305 - Spring Release (Orion)

  1. All History endpoint released, this allows you to get modified entries and releated entries modified
  2. Show mergedEntryId in History or All History endpoints when a entry is deleted by merging
  3. Schema Fields now allows you to filter for different field types, editable | calculated, as well as editable fields that are on the entry form.